%define pypi_name notebook

Name:           jupyter-notebook
Version:        6.4.12
%define subrel 1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter web-based notebook environment (tools)
License:        BSD
URL:            http://jupyter.org/
Source0:        %{pypi_source}
Patch0:         notebook-6.4.12-CVE-2022-24785-31129.patch
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
Requires:       python3-%{name} = %{version}-%{release}

%description
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package contains the jupyter-notebook tool.

%package -n     python3-%{name}
Summary:        Jupyter web-based notebook environment (Python 3)
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package installs the library for Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files
%{_bindir}/jupyter-notebook
%{_bindir}/jupyter-nbextension
%{_bindir}/jupyter-serverextension
%{_bindir}/jupyter-bundlerextension
%{_datadir}/applications/jupyter-notebook.desktop
%{_datadir}/icons/hicolor/scalable/apps/notebook.svg

%files -n python3-%{name}
%{python3_sitelib}/*



%changelog
* Fri Mar 15 2024 ns80 <ns80> 6.4.12-1.1.mga9
+ Revision: 2050009
- backport upstream patches for CVE-2022-24785 and CVE-2022-31129 (mga#30664)

* Wed Aug 31 2022 papoteur <papoteur> 6.4.12-1.mga9
+ Revision: 1882584
- new 6.4.12. Fix CVE USN-5585-1 (mga#30789)

* Wed Mar 23 2022 umeabot <umeabot> 6.3.0-3.mga9
+ Revision: 1823347
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 6.3.0-2.mga9
+ Revision: 1782977
- Rebuild for python-3.10

* Sun Apr 04 2021 joequant <joequant> 6.3.0-1.mga9
+ Revision: 1713320
- update to 6.3.0

* Sat Mar 27 2021 daviddavid <daviddavid> 6.1.6-4.mga9
+ Revision: 1710959
- fix python3 pkg name

* Tue Mar 23 2021 daviddavid <daviddavid> 6.1.6-3.mga9
+ Revision: 1708183
- fix owner of python3 sitelib dir

* Tue Mar 23 2021 daviddavid <daviddavid> 6.1.6-2.mga9
+ Revision: 1708118
- rebuild for python 3.9

* Wed Dec 30 2020 luigiwalser <luigiwalser> 6.1.6-1.mga8
+ Revision: 1665880
- 6.1.6

* Sat Nov 14 2020 guillomovitch <guillomovitch> 6.1.5-1.mga8
+ Revision: 1646146
- new version 6.1.5

* Thu Oct 01 2020 guillomovitch <guillomovitch> 6.1.4-1.mga8
+ Revision: 1631493
- new version 6.1.4

* Wed Aug 19 2020 guillomovitch <guillomovitch> 6.1.3-1.mga8
+ Revision: 1615735
- new version 6.1.3

* Thu Feb 20 2020 umeabot <umeabot> 6.0.3-2.mga8
+ Revision: 1546818
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 daviddavid <daviddavid> 6.0.3-1.mga8
+ Revision: 1487200
- new version: 6.0.3

* Tue Nov 05 2019 kekepower <kekepower> 6.0.2-1.mga8
+ Revision: 1457957
- Update to version 6.0.2

* Mon Sep 16 2019 daviddavid <daviddavid> 6.0.1-2.mga8
+ Revision: 1442222
- rebuild for python3.8

* Sat Aug 24 2019 kekepower <kekepower> 6.0.1-1.mga8
+ Revision: 1431513
- Update to version 6.0.1

* Tue Jul 23 2019 kekepower <kekepower> 6.0.0-1.mga8
+ Revision: 1423494
- Update to version 6.0.0

* Mon Apr 01 2019 kekepower <kekepower> 5.7.8-1.mga7
+ Revision: 1384432
- Update to version 5.7.8

* Wed Mar 06 2019 kekepower <kekepower> 5.7.5-1.mga7
+ Revision: 1371827
- Update to versin 5.7.5

* Sat Jan 12 2019 tmb <tmb> 5.7.4-2.mga7
+ Revision: 1355289
- rebuild for python 3.7

* Sat Dec 22 2018 kekepower <kekepower> 5.7.4-1.mga7
+ Revision: 1344471
- Update to version 5.7.4

* Mon Dec 17 2018 kekepower <kekepower> 5.7.3-1.mga7
+ Revision: 1342052
- Update to version 5.7.3

* Sun Nov 18 2018 kekepower <kekepower> 5.7.2-1.mga7
+ Revision: 1331242
- Update to version 5.7.2

* Fri Nov 16 2018 kekepower <kekepower> 5.7.1-1.mga7
+ Revision: 1330276
- Update to version 5.7.1

* Thu Sep 20 2018 kekepower <kekepower> 5.7.0-1.mga7
+ Revision: 1282103
- Update to version 5.7.0

* Thu Sep 20 2018 umeabot <umeabot> 5.6.0-2.mga7
+ Revision: 1279171
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 kekepower <kekepower> 5.6.0-1.mga7
+ Revision: 1251377
- Update to version 5.6.0

* Mon May 21 2018 kekepower <kekepower> 5.5.0-1.mga7
+ Revision: 1231251
- Update to version 5.5.0

* Sun Mar 18 2018 kekepower <kekepower> 5.4.1-1.mga7
+ Revision: 1210258
- Remove unneeded patch
- Update to version 5.4.1 (mga#22780)

* Wed Aug 09 2017 philippem <philippem> 5.0.0-1.mga7
+ Revision: 1139302
- update to 5.0.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.2.0-2.mga7
+ Revision: 1135239
- Rebuild for python 3.6

* Mon Apr 18 2016 philippem <philippem> 4.2.0-1.mga6
+ Revision: 1003478
- imported package jupyter-notebook

